# copyright: 'Huynh Duong Phuong Vi @ 2014'
# suforyou.vn@gmail.com
module S4U
	module S4u_Explode
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_explode"
		TOOL="Explode"
		Strings= LanguageHandler.new("s4u_explode.strings")
		ext = SketchupExtension.new(("s4u-" + Strings.GetString(TOOL)),File.join(NAME,(NAME + "_loader")))
		ext.copyright= 'Huynh Duong Phuong Vi @ 2014-2015'
		ext.creator = 'Huynh Duong Phuong Vi(suforyou.vn@gmail.com)'
		ext.version = '2.0.2'
		ext.description = Strings.GetString("Explode all Groups ,Components,Curves IN selected Groups or Components to lines and faces.")
		Sketchup.register_extension ext, true
	end      
end
